<div class="container">
  <table class="table table-striped my-3">
    <thead>
      <tr class="text-center">
        <th scope="col">#</th>
        <th scope="col" id="thAncho">Autor</th>
        <th scope="col">Opciones</th>
      </tr>
    </thead>
    <tbody>
      <tr class="text-center" *ngFor="let autor of autoresT; index as i">
        <th scope="row" id="thAutor">{{ i + 1 }}</th>
        <td id="tdAutor">{{ autor.name }}</td>
        <td id="tdBtn">
          <div id="ctnBtn">
            <button type="button" class="btn btn-success mr-2" id="btnEdit" (click)="enviar(autor)">
              Editar
              <i class="ml-2 material-icons">
                edit
              </i></button>
            <button type="button" class="btn btn-danger" id="btnDelete" data-toggle="modal" data-target="#exampleModal"
              (click)="enviarAutor(autor)">
              Eliminar
              <i class="ml-1 material-icons">
                delete
              </i></button>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Eliminar Autor</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-center txtAutor">
        ¿Desea elimiar a <span id="autorNegrita">{{ autor.name }}</span>?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" (click)="eliminar()" data-dismiss="modal">Aceptar</button>
      </div>
    </div>
  </div>
</div>
